From ad17e2b1253eb78485f3067696f65cb4829ec5a4 Mon Sep 17 00:00:00 2001
From: Greg Hogan <code@greghogan.com>
Date: Mon, 18 Oct 2021 17:36:24 +0000
Subject: [PATCH 06/14] gnu: aws-c-compression: Update to 0.2.14.

* gnu/packages/c.scm (aws-c-compression): Update to 0.2.14.
[arguments]: Fix CMAKE_PREFIX_PATH.
[source]: Remove patch.
* gnu/packages/patches/aws-c-compression-cmake-prefix.patch:
Delete file.
* gnu/local.mk: Remove it.
---
 gnu/local.mk                                        |  1 -
 gnu/packages/c.scm                                  | 10 ++++++----
 .../patches/aws-c-compression-cmake-prefix.patch    | 13 -------------
 3 files changed, 6 insertions(+), 18 deletions(-)
 delete mode 100644 gnu/packages/patches/aws-c-compression-cmake-prefix.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index d77a25eab1..9104ff22a3 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -872,7 +872,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/awesome-reproducible-png.patch		\
   %D%/packages/patches/aws-c-auth-cmake-prefix.patch		\
   %D%/packages/patches/aws-c-auth-disable-networking-tests.patch\
-  %D%/packages/patches/aws-c-compression-cmake-prefix.patch	\
   %D%/packages/patches/aws-c-event-stream-cmake-prefix.patch  \
   %D%/packages/patches/aws-c-mqtt-cmake-prefix.patch		\
   %D%/packages/patches/aws-c-s3-cmake-prefix.patch		\
diff --git a/gnu/packages/c.scm b/gnu/packages/c.scm
index 986131e546..43f775d41f 100644
--- a/gnu/packages/c.scm
+++ b/gnu/packages/c.scm
@@ -750,7 +750,8 @@ (define-public aws-c-http
 (define-public aws-c-compression
   (package
     (name "aws-c-compression")
-    (version "0.2.13")
+    ; Update only when updating aws-crt-cpp.
+    (version "0.2.14")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -759,12 +760,13 @@ (define-public aws-c-compression
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0zqfxi0fdgapfsfgvsindv63pq7vyl1s376qkpv4jgflyb1v6gp5"))
-              (patches (search-patches "aws-c-compression-cmake-prefix.patch"))))
+                "0fs3zhhzxsb9nfcjpvfbcq79hal7si2ia1c09scab9a8m264f4vd"))))
     (build-system cmake-build-system)
     (arguments
      '(#:configure-flags
-       '("-DBUILD_SHARED_LIBS=ON")))
+       (list "-DBUILD_SHARED_LIBS=ON"
+             (string-append "-DCMAKE_PREFIX_PATH="
+                            (assoc-ref %build-inputs "aws-c-common")))))
     (propagated-inputs
      `(("aws-c-common" ,aws-c-common)))
     (synopsis "Amazon Web Services compression library")
diff --git a/gnu/packages/patches/aws-c-compression-cmake-prefix.patch b/gnu/packages/patches/aws-c-compression-cmake-prefix.patch
deleted file mode 100644
index eefae19c4a..0000000000
--- a/gnu/packages/patches/aws-c-compression-cmake-prefix.patch
+++ /dev/null
@@ -1,13 +0,0 @@
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -5,6 +5,10 @@ if (POLICY CMP0069)
-     cmake_policy(SET CMP0069 NEW) # Enable LTO/IPO if available in the compiler, see AwsCFlags
- endif()
- 
-+if (DEFINED ENV{CMAKE_PREFIX_PATH})
-+    set(CMAKE_PREFIX_PATH $ENV{CMAKE_PREFIX_PATH})
-+endif()
-+
- if (DEFINED CMAKE_PREFIX_PATH)
-     file(TO_CMAKE_PATH "${CMAKE_PREFIX_PATH}" CMAKE_PREFIX_PATH)
- endif()
-- 
2.33.1

